Advocacy API
Inclusion of Related Resources
Include related resources in a response instead of making extra requests.
You may customize which related resources are returned using the include request parameter. The value of the
include parameter must be a comma-separated list of relationship paths. A relationship path is a dot-separated
list of relationship names.
For instance, authentication factors could be requested with a user:
GET /v2/me?include=authentication_factors HTTP/1.1
Accept: application/vnd.api+jsonIn order to request resources related to other resources, a dot-separated path for each relationship name can be specified:
GET /v2/teams/1/tints?include=social_feeds.account HTTP/1.1
Accept: application/vnd.api+jsonMultiple related resources can be requested in a comma-separated list:
GET /v2/me?include=authentication_factors,teams HTTP/1.1
Accept: application/vnd.api+json